Get all transactions for all profiles

Returns all transactions across all profiles. Filter by updated_after or updated_before for date-scoped exports.

Query Parameters
  • updated_before
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd.

  • updated_after
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/payments/transactions
curl 'https://ff-business-school.fullfabric.cloud/apis/payments/transactions?updated_before=&updated_after=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6311b20d9a52af7df8000200",
    "state": "succeeded",
    "amount": 500000,
    "currency": "EUR",
    "description": "Deposit – MBA Standard Payment Plan",
    "date": "2025-04-15",
    "reference": "INV-2025-001",
    "payable_id": "6977b3de3b5d00baac7cd25e",
    "payable_type": "BookKeeper::PaymentPlan::Fee",
    "profile_id": "6385bdd4976a7719120108e9",
    "created_at": 1744675200,
    "updated_at": 1744675200,
    "fee_id": "6977b3de3b5d00baac7cd25e"
  },
  {
    "id": "6728d1f19a52af4e3a35e54b",
    "state": "succeeded",
    "amount": 1000000,
    "currency": "EUR",
    "description": "1st Tuition Instalment – MBA Standard Payment Plan",
    "date": "2025-09-01",
    "reference": "INV-2025-002",
    "payable_id": "6977b3de3b5d00baac7cd261",
    "payable_type": "BookKeeper::PaymentPlan::Fee",
    "profile_id": "6385baa7976a7719120005dc",
    "created_at": 1756684800,
    "updated_at": 1756684800,
    "fee_id": "6977b3de3b5d00baac7cd261"
  }
]